// @SOURCE:/Users/Robert/Development/play/ttcturnierserver/conf/routes
// @HASH:50005c73e3fbfb0e56575b32a35275111900262d
// @DATE:Sat Nov 10 11:58:03 CET 2012

import play.core._
import play.core.Router._
import play.core.j._

import play.api.mvc._


import Router.queryString

object Routes extends Router.Routes {


// @LINE:6
val controllers_Application_index0 = Route("GET", PathPattern(List(StaticPart("/"))))
                    

// @LINE:9
val controllers_Application_table1 = Route("GET", PathPattern(List(StaticPart("/table"))))
                    

// @LINE:14
val controllers_Application_cmd2 = Route("GET", PathPattern(List(StaticPart("/cmd"))))
                    

// @LINE:15
val controllers_Application_cmdst3 = Route("GET", PathPattern(List(StaticPart("/cmdst"))))
                    

// @LINE:16
val controllers_Application_cmdrt4 = Route("GET", PathPattern(List(StaticPart("/cmdrt"))))
                    

// @LINE:18
val controllers_Application_start5 = Route("GET", PathPattern(List(StaticPart("/start"))))
                    

// @LINE:22
val controllers_Assets_at6 = Route("GET", PathPattern(List(StaticPart("/assets/"),DynamicPart("file", """.+"""))))
                    
def documentation = List(("""GET""","""/""","""controllers.Application.index"""),("""GET""","""/table""","""controllers.Application.table()"""),("""GET""","""/cmd""","""controllers.Application.cmd(ctype:String, cvalstr:String, cvalint:String)"""),("""GET""","""/cmdst""","""controllers.Application.cmdst(no:String, kl:String, p1:String, v1:String, p2:String, v2:String, in:String)"""),("""GET""","""/cmdrt""","""controllers.Application.cmdrt(table:String)"""),("""GET""","""/start""","""controllers.Application.start"""),("""GET""","""/assets/$file<.+>""","""controllers.Assets.at(path:String = "/public", file:String)"""))
             
    
def routes:PartialFunction[RequestHeader,Handler] = {        

// @LINE:6
case controllers_Application_index0(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.index, HandlerDef(this, "controllers.Application", "index", Nil))
   }
}
                    

// @LINE:9
case controllers_Application_table1(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.table(), HandlerDef(this, "controllers.Application", "table", Nil))
   }
}
                    

// @LINE:14
case controllers_Application_cmd2(params) => {
   call(params.fromQuery[String]("ctype", None), params.fromQuery[String]("cvalstr", None), params.fromQuery[String]("cvalint", None)) { (ctype, cvalstr, cvalint) =>
        invokeHandler(_root_.controllers.Application.cmd(ctype, cvalstr, cvalint), HandlerDef(this, "controllers.Application", "cmd", Seq(classOf[String], classOf[String], classOf[String])))
   }
}
                    

// @LINE:15
case controllers_Application_cmdst3(params) => {
   call(params.fromQuery[String]("no", None), params.fromQuery[String]("kl", None), params.fromQuery[String]("p1", None), params.fromQuery[String]("v1", None), params.fromQuery[String]("p2", None), params.fromQuery[String]("v2", None), params.fromQuery[String]("in", None)) { (no, kl, p1, v1, p2, v2, in) =>
        invokeHandler(_root_.controllers.Application.cmdst(no, kl, p1, v1, p2, v2, in), HandlerDef(this, "controllers.Application", "cmdst", Seq(classOf[String], classOf[String], classOf[String], classOf[String], classOf[String], classOf[String], classOf[String])))
   }
}
                    

// @LINE:16
case controllers_Application_cmdrt4(params) => {
   call(params.fromQuery[String]("table", None)) { (table) =>
        invokeHandler(_root_.controllers.Application.cmdrt(table), HandlerDef(this, "controllers.Application", "cmdrt", Seq(classOf[String])))
   }
}
                    

// @LINE:18
case controllers_Application_start5(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.start, HandlerDef(this, "controllers.Application", "start", Nil))
   }
}
                    

// @LINE:22
case controllers_Assets_at6(params) => {
   call(Param[String]("path", Right("/public")), params.fromPath[String]("file", None)) { (path, file) =>
        invokeHandler(_root_.controllers.Assets.at(path, file), HandlerDef(this, "controllers.Assets", "at", Seq(classOf[String], classOf[String])))
   }
}
                    
}
    
}
                